package InventoryNumbers
{
	function clientCmdPlayGui_CreateToolHUD(%num)
	{
		parent::clientCmdPlayGui_CreateToolHUD(%num);

		$NumInvSlots = %num;
	}

	function handleItemPickup(%a, %b, %slot, %image, %c)
	{
		parent::handleItemPickup(%a, %b, %slot, %image, %c);

		$InvSlot[%slot] = %image;
	}

	function setActiveTool(%num)
	{
		parent::setActiveTool(%num);

		$CurrInvSlot = %num;
	}

	function useBricks(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[0] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			%num = 0 - $CurrInvSlot;

			scrollTools(%num);

			return;
		}

		parent::useBricks(%bool);
	}

	function useFirstSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[0] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			%num = 0 - $CurrInvSlot;

			scrollTools(%num);

			return;
		}

		parent::useFirstSlot(%bool);
	}

	function useSecondSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[1] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 2)
			{
				%num = 1 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useSecondSlot(%bool);
	}

	function useThirdSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[2] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 3)
			{
				%num = 2 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useThirdSlot(%bool);
	}

	function useFourthSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[3] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 4)
			{
				%num = 3 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useFourthSlot(%bool);
	}

	function useFifthSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[4] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 5)
			{
				%num = 4 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useFifthSlot(%bool);
	}

	function useSixthSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[5] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 6)
			{
				%num = 5 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useSixthSlot(%bool);
	}

	function useSeventhSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[6] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 7)
			{
				%num = 6 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useSeventhSlot(%bool);
	}

	function useEighthSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[7] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 8)
			{
				%num = 7 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useEighthSlot(%bool);
	}

	function useNinthSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[8] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 9)
			{
				%num = 8 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useNinthSlot(%bool);
	}

	function useTenthSlot(%bool)
	{
		if(%bool && $BuildingDisabled && $NumInvSlots >= 1)
		{
			if($InvSlot[9] == 0)
			{
				return;
			}

			if(restWords(HUD_ToolBox.position) < 0)
			{
				useTools(1);
			}

			if($NumInvSlots >= 10)
			{
				%num = 9 - $CurrInvSlot;

				scrollTools(%num);
			}

			return;
		}

		parent::useTenthSlot(%bool);
	}
};
activatePackage(InventoryNumbers);